
package com.lideeyunji.tool.framework.sql.core.ddl.drop;

import net.sf.jsqlparser.schema.Table;
import net.sf.jsqlparser.statement.drop.Drop;
import org.junit.Test;

/**
 * 删除表
 * @author JX
 * @create 2024-03-27 13:38
 * @dedescription:
 */
public class lideeYunJiDropTable {

    private String tableName;

    private Drop drop ;

    public void setTableName(String tableName){
        this.tableName = tableName;
        drop = new Drop();
        drop.setName(new Table(tableName));
        drop.setType("TABLE");
    }


    public String getFullSQL(){
        return drop.toString();
    }

    @Test
    public void dropTable(){
        lideeYunJiDropTable dropTable=new lideeYunJiDropTable();
        dropTable.setTableName("tbl_lin2");
       // alterTable.setAlterOperation(AlterOperation.);
        System.out.println(dropTable.getFullSQL());
    }


}
